import request from '@/utils/request';
function getCurrentTimestamp() {
  return new Date().getTime();
}
export function GetProject(projectId, token) {
  return request({
    url: '/project/get/' + projectId,
    method: 'get',
    headers: {
      'Authorization':'Bearer '+ token,
      'content-type': 'application/json;charset=utf-8',
      'Timestamp': getCurrentTimestamp()
    }
  });
}

export function GetProjectInfo(token,id) {
  return request({
    url: '/project/get/id/',
    method: 'get',
    params: { id },
    headers: {
      'Authorization':'Bearer '+ token,
      'content-type': 'application/json;charset=utf-8',
      'Timestamp': getCurrentTimestamp()
    }
  });
}

export function fetchPv(pv) {
  return request({
    url: '/vue-element-admin/article/pv',
    method: 'get',
    params: { pv }
  });
}

export function createArticle(data) {
  return request({
    url: '/vue-element-admin/article/create',
    method: 'post',
    data
  });
}

export function updateArticle(data) {
  return request({
    url: '/vue-element-admin/article/update',
    method: 'post',
    data
  });
}
